# Class GetXmrNewSubaddressRequest

#### Hierarchy

- unknown
  - GetXmrNewSubaddressRequest

- Defined in src/protobuf/grpc_pb.d.ts:3062
- Defined in src/protobuf/grpc_pb.d.ts:3071

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetXmrNewSubaddressRequest(): GetXmrNewSubaddressRequest

- #### Returns GetXmrNewSubaddressRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3063

### toObject

- toObject(includeInstance?: boolean): GetXmrNewSubaddressRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetXmrNewSubaddressRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3064

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetXmrNewSubaddressRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetXmrNewSubaddressRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3067

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetXmrNewSubaddressRequest, reader: BinaryReader): GetXmrNewSubaddressRequest

- #### Parameters

  - ##### message: GetXmrNewSubaddressRequest

  - ##### reader: BinaryReader

  #### Returns GetXmrNewSubaddressRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3068

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetXmrNewSubaddressRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetXmrNewSubaddressRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3066

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetXmrNewSubaddressRequest): GetXmrNewSubaddressRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetXmrNewSubaddressRequest

  #### Returns GetXmrNewSubaddressRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3065

Generated using TypeDoc